(function( $ ) {
	'use strict';

	$(document).ready(function() {

		$('.learndash-flashcards-image-empty span').click(function(e) {

			var custom_uploader;
			var learndashFlashcardEl = $(this).closest('.learndash-flashcards-bg-input');

			//If the uploader object has already been created, reopen the dialog
			if (custom_uploader) {
				custom_uploader.open();
				return;
			}

			//Extend the wp.media object
			custom_uploader = wp.media.frames.file_frame = wp.media({
				title: 'Choose Image',
				button: {
					text: 'Choose Image'
				},
				multiple: false
			});

			//When a file is selected, grab the URL and set it as the text field's value
			custom_uploader.on('select', function() {

				var attachment = custom_uploader.state().get('selection').first().toJSON();
				learndashFlashcardEl.find('input').val(attachment.id);
				learndashFlashcardEl.find('.learndash-flashcards-no-image').css({'display':'none'});
				learndashFlashcardEl.find('.learndash-flashcards-image').html('<img src="' + attachment.url + '" />').css({'display':'block'});
				learndashFlashcardEl.find('.learndash-flashcards-image-close').css({'display':'block'});
				
			});

			//Open the uploader dialog
			custom_uploader.open();

		});

		$('.learndash-flashcards-image-close').on('click', function(){

			var learndashFlashcardEl = $(this).closest('.learndash-flashcards-bg-input');

			learndashFlashcardEl.find('.learndash-flashcards-image, .learndash-flashcards-image-close').css({'display':'none'});
			learndashFlashcardEl.find('.learndash-flashcards-image').html('');
			learndashFlashcardEl.find('.learndash-flashcards-no-image').css({'display':'block'});
			learndashFlashcardEl.find('input').val('');
			learndashFlashcardEl.find('.learndash-flashcards-image-close').css({'display':'none'});

		});

		$('#learndash-flashcards-front-bg-color').wpColorPicker();
		$('#learndash-flashcards-back-bg-color').wpColorPicker();
		$('#learndash-flashcards-front-text-color').wpColorPicker();
		$('#learndash-flashcards-back-text-color').wpColorPicker();		
	
	});

})( jQuery );
