//import { ldFlashcardHeight } from '../../../public/js/learndash-flashcards-blocks.js';

const { apiFetch } = wp;
const { __ } = wp.i18n;
const { registerBlockType, query } = wp.blocks;
const { serverSideRender: ServerSideRender } = wp;
const { RichText, InspectorControls } = wp.blockEditor;
const {
	CheckboxControl,
	RadioControl,
	TextControl,
	ToggleControl,
	SelectControl,
	PanelBody
} = wp.components;

const { useInstanceId, withState } = wp.compose;

console.log(ldflashBlockVariables);
		
registerBlockType(

	'learndash-flashcards/card',
			
	{
		title: __( 'LearnDash Flashcard', 'learndash-flashcards' ),
		icon: 'testimonial',
		category: 'learndash-flashcards',
		keywords: [ __( 'real estate', 'learndash-flashcards' ), __( 'property', 'learndash-flashcards' ), __( 'properties', 'learndash-flashcards' ) ],
		supports: { 'customClassName' : true },
		attributes: {

			id: {
				type: 'string',
				default: '',
			}

		},
		example: {

		},				
		edit( { attributes, setAttributes, isSelected } ) {


			const { id } = attributes;

			let idNew = ( '' != id ) ? id : 'select';

			function onChangeId( newValue ) {
				idNew = newValue;
				setAttributes( { id: idNew } );
			}

			return (

				<>

					<InspectorControls>

						<PanelBody>

							<SelectControl
								label={__( 'Select a Card', 'learndash-flashcards' )}
								value={ idNew }
								options={ ldflashBlockVariables.cards }
								onChange={ onChangeId }
							/>							

						</PanelBody>

					</InspectorControls>

					<ServerSideRender
							
						block="learndash-flashcards/card"
						attributes={{
							id: idNew
						}}

					/>

				</>

			);

		},
		save( { attributes } ) {
			return null;
		},

	}

);

registerBlockType(

	'learndash-flashcards/card-set',
			
	{
		title: __( 'LearnDash Flashcard Set', 'learndash-flashcards' ),
		icon: 'testimonial',
		category: 'learndash-flashcards',
		keywords: [ __( 'real estate', 'learndash-flashcards' ), __( 'property', 'learndash-flashcards' ), __( 'properties', 'learndash-flashcards' ) ],
		supports: { 'customClassName' : true },
		attributes: {
			id: {
				type: 'string',
				default: '',
			}
		},
		example: {

		},				
		edit( { attributes, setAttributes, isSelected } ) {		

			const { id } = attributes;

			let idNew = ( '' != id ) ? id : 'select';

			function onChangeId( newValue ) {
				idNew = newValue;
				setAttributes( { id: idNew } );
				console.log('inserted new set');
				ldFlashcardHeight();
			}

			return (

				<>

					<InspectorControls>

						<PanelBody>

							<SelectControl
								label={__( 'Select a Set', 'learndash-flashcards' )}
								value={ idNew }
								options={ ldflashBlockVariables.sets }
								onChange={ onChangeId }
							/>							

						</PanelBody>

					</InspectorControls>

					<ServerSideRender
							
						block="learndash-flashcards/card-set"
						attributes={{
							id: idNew
						}}

					/>

				</>

			);

		},
		save( { attributes } ) {
			return null;
		},

	}

);