<?php

trait Learndash_flashcard_Renderer{

    public function card_display( $id ){

		$flash_meta = get_post_meta( $id );
		$block_content = '';
		//$block_content = json_encode($flash_meta);

		$front_style = '';
		if( array_key_exists('learndash-flashcards-front-bg-color', $flash_meta) && ( '' != $flash_meta['learndash-flashcards-front-bg-color'][0] ) ){
			$front_style .= 'background-color:' . esc_attr($flash_meta['learndash-flashcards-front-bg-color'][0]) . '; ';
		}
		if( array_key_exists('learndash-flashcards-front-bg', $flash_meta) && ( '' != $flash_meta['learndash-flashcards-front-bg'][0] ) ){
			$front_style .= 'background-image:url(\'' . esc_url(wp_get_attachment_url($flash_meta['learndash-flashcards-front-bg'][0])) . '\')';
		}
		$front_style = 'style="' . $front_style . '"';	
		
		$back_style = '';
		if( array_key_exists('learndash-flashcards-back-bg-color', $flash_meta) && ( '' != $flash_meta['learndash-flashcards-back-bg-color'][0] ) ){
			$back_style .= 'background-color:' . esc_attr($flash_meta['learndash-flashcards-back-bg-color'][0]) . '; ';
		}
		if( array_key_exists('learndash-flashcards-back-bg', $flash_meta) && ( '' != $flash_meta['learndash-flashcards-back-bg'][0] ) ){
			$back_style .= 'background-image:url(\'' . esc_url(wp_get_attachment_url($flash_meta['learndash-flashcards-back-bg'][0])) . '\')';
		}
        $back_style = 'style="' . $back_style . '"';	
        
        $front_text_style = '';
		if( array_key_exists('learndash-flashcards-front-text-color', $flash_meta) && ( '' != $flash_meta['learndash-flashcards-front-text-color'][0] ) ){
			$front_text_style .= 'style="color:' . esc_attr($flash_meta['learndash-flashcards-front-text-color'][0]) . '"';
        }  
        
        $back_text_style = '';
		if( array_key_exists('learndash-flashcards-back-text-color', $flash_meta) && ( '' != $flash_meta['learndash-flashcards-back-text-color'][0] ) ){
			$back_text_style .= 'style="color:' . esc_attr($flash_meta['learndash-flashcards-back-text-color'][0]) . '"';
		}          

		//$block_content = esc_html__('Learndash Flashcard : ' . $args['id'], 'learndash-flashcards');
        $block_content .= '<div class="learndash-flashcards-card-container" data-ld-fc-processed="no" >';
        $block_content .= '<div class="learndash-flashcards-card">';
		$block_content .= '<div class="learndash-flashcards-card-front" ' . $front_style . '>';
		$block_content .= '<h2 ' . $front_text_style . '>' . esc_html( $flash_meta['learndash-flashcards-front-title'][0] ) . '</h2>';
		$block_content .= '<p ' . $front_text_style . '>' . esc_html( $flash_meta['learndash-flashcards-front-content'][0] ) . '</p>';
		$block_content .= '</div>';
		$block_content .= '<div class="learndash-flashcards-card-back" ' . $back_style . '>';
		$block_content .= '<h2 ' . $back_text_style . '>' . esc_html( $flash_meta['learndash-flashcards-back-title'][0] ) . '</h2>';
		$block_content .= '<p ' . $back_text_style . '>' . esc_html( $flash_meta['learndash-flashcards-back-content'][0] ) . '</p>';
        $block_content .= '</div>';
        $block_content .= '</div>';	
		$block_content .= '</div>';
		// Return the frontend output for our block 
		return $block_content;	        

    }

    public function set_display( $term ){

		$block_content = '<div class="learndash-flashcards-set-container">';
		//$block_content = esc_html__('Learndash Flashcard Set : ' . $args['id'], 'learndash-flashcards');

		$cards = get_posts(
			array(
				'post_type' => 'ld-flashcards',
				'tax_query' => array(
					array(
						'taxonomy' => 'ld-fc-set',
						'field'    => 'name',
						'terms'    => sanitize_text_field($term),
					),
				),
				'fields' => 'ids',				
			)
		);

		foreach( $cards as $card ){

			$block_content .= $this->card_display( sanitize_text_field($card) );

		}
        $block_content .= '</div>';
		// Return the frontend output for our block 
		return $block_content;        

    }

}